import { get, put, post, deletes } from '@/http/index'

// 查询虚警抑制列表
export const getFalseAlarm = async (data) => {
  return await get('/als/falseAlarm/list', data)
}

// 新增虚警抑制
export const addFalseAlarm = async (data) => {
  return await post('/als/falseAlarm', data)
}

// 修改虚警抑制
export const updateFalseAlarm = async (data) => {
  return await put('/als/falseAlarm', data)
}

// 删除虚警抑制
export const removeFalseAlarm = async (id) => {
  return await deletes('/als/falseAlarm/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
